Subject: Re: linux-next: build failure after merge of the final tree (tile tree related)

From: Chris Metcalf <[email-masked]>
Date: Tue, 24 May 2011 08:25:18 -0400

On 5/23/2011 11:42 PM, Stephen Rothwell wrote:
> Hi Chris,
>
> After merging the final tree, today's linux-next build (sparc64 defconfig)
> failed like this:
>
> [...]
>
> I added this patch for today:
>
> [...]
>
> diff --git a/include/linux/compat.h b/include/linux/compat.h
> index 644e1a4..ddcb7db 100644
> --- a/include/linux/compat.h
> +++ b/include/linux/compat.h
> @@ -13,6 +13,7 @@
>  #include <linux/socket.h>
>  #include <linux/if.h>
>  #include <linux/fs.h>
> +#include <linux/aio_abi.h>	/* for aio_context_t */
>  
>  #include <asm/compat.h>
>  #include <asm/siginfo.h>

Stephen, thanks for the discovery and the fix.  Apparently the uses in the
"tile" tree already happen to have this header included earlier, so I
didn't trip up against it.  I'll take the change into my tree.

-- 
Chris Metcalf, Tilera Corp.
http://www.tilera.com